Summary: RPM installer/updater config files
Name: yum-conf
Version: 42
Release: 1.rolling.2.SL
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
URL: http://www.dulug.duke.edu/yum/
BuildRoot: %{_tmppath}/%{name}-%{version}root
BuildArchitectures: noarch
Prereq: /sbin/chkconfig, /sbin/service
Epoch: 4

%description
Configuration files to setup yum.conf, as well as setup yum in you daily cron.

%prep
%setup -q

%install
mkdir -p $RPM_BUILD_ROOT/etc
cp -r etc/* $RPM_BUILD_ROOT/etc

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add yum
/sbin/chkconfig yum on
/sbin/service yum restart >> /dev/null
#
# This makes it so that you don't get asked about up2date on the firstboot
# 
if [ -s /usr/share/firstboot/modules/up2date.py ]; then
	rm -f /usr/share/firstboot/modules/up2date.py*
fi
#
# This makes it so that you don't get asked about more cd's on firstboot
# 
if [ -s /usr/share/firstboot/modules/additional_cds.py ]; then
	rm -f /usr/share/firstboot/modules/additional_cds.py*
fi
exit 0

%triggerin -- firstboot
#
# This makes it so that you don't get asked about up2date on the firstboot
# 
if [ -s /usr/share/firstboot/modules/up2date.py ]; then
	rm -f /usr/share/firstboot/modules/up2date.py*
fi
#
# This makes it so that you don't get asked about more cd's on firstboot
# 
if [ -s /usr/share/firstboot/modules/additional_cds.py ]; then
	rm -f /usr/share/firstboot/modules/additional_cds.py*
fi

%preun
if [ $1 = 0 ]; then
 /sbin/chkconfig --del yum
 /sbin/service yum stop >> /dev/null
fi
exit 0

%files 
%defattr(-, root, root)
%dir %{_sysconfdir}/yum.d/
%dir %{_sysconfdir}/yum.repos.d/
%config %{_sysconfdir}/yum.conf
%config(noreplace) %{_sysconfdir}/cron.daily/yum.cron
%config(noreplace) %{_sysconfdir}/yum.d/yum.cron.excludes
%config %{_sysconfdir}/init.d/yum
%config %{_sysconfdir}/logrotate.d/yum
%{_sysconfdir}/yum.d/
%config(noreplace) %{_sysconfdir}/yum.repos.d/

%changelog
* Mon Oct 31 2005 Troy Dawson <dawson@fnal.gov> 42-1.rolling.2.SL
- Changed yum.conf to point to the regular plugin directory
- Changed yum.cron to have everything in yum.conf

* Mon Oct 17 2005 Troy Dawson <dawson@fnal.gov> 42-1.rolling.1.SL
- Changed it to 40rolling, preparatory to S.L. 4.2

* Thu Oct 06 2005 Troy Dawson <dawson@fnal.gov> 41-5.SL
- Put in changes that work with yum plugins

* Mon Aug 01 2005 Troy Dawson <dawson@fnal.gov> 41-4.SL
- added atrpms.repo and dries.repo, both not enabled by default

* Tue Jul 26 2005 Troy Dawson <dawson@fnal.gov> 41-3.SL
- added exactarch=1 to the yum.cron

* Thu Jul 7 2005 Troy Dawson <dawson@fnal.gov> 41-2.SL
- Added Epoch: 4, so that we can upgrade from the 30x series.  It is 4 because
  this is the 4x series.
- Changed the configurations from rolling to the real 41
- Added the bugfix yum repo

* Tue Jun 21 2005 Troy Dawson <dawson@fnal.gov> 41-1.SL
- Changed it to 41
- Pulled out the config(noreplace) because we really do want to replace it
  when we do an upgrade.

* Tue Apr 19 2005 Troy Dawson <dawson@fnal.gov> 40-4.SL
- Testing putting everything in yum.repos.d as config(noreplace)

* Mon Apr 18 2005 Troy Dawson <dawson@fnal.gov> 40-3.SL
- Hard coded it so that it points to 40, soft coding didn't work

* Tue Apr 12 2005 Troy Dawson <dawson@fnal.gov> 40-2.SL
- Added check to yum.cron to check if yum is already running, and
  if it has been running for a long time, to kill it.
- Changed config's to actually point to 40 instead of rolling
- Fixed flash.repo, they changed where they were.

* Tue Mar 01 2005 Troy Dawson <dawson@fnal.gov> 40-1.SL
- Rewrote yum.cron to take advantage of yum 2.2
- moved the yum.conf.* files into yum.repos.d after editing them
  to be just the repo they are supposed to be
- Edited files in yum.d to reflect other changes
- changed yum.conf to use yum 2.2 repo files
- changed logrotate, and yum init file to be from yum 2.2

* Mon Jan 31 2005 Troy Dawson <dawson@fnal.gov> 304-2.SL
- added yum.conf.rhaps and yum.conf.flash

* Tue Dec 28 2004 Troy Dawson <dawson@fnal.gov> 304-1.SL
- Changed 30rolling's to 304's

* Tue Dec 28 2004 Troy Dawson <dawson@fnal.gov> 30rolling-2.SL
- Changed 303's to 304's
- Removed all references to linux21

* Thu Sep 09 2004 Troy Dawson <dawson@fnal.gov> 30rolling-1.SL
- Changed the 303 yum-conf to 30rolling

* Tue Aug 31 2004 Troy Dawson <dawson@fnal.gov> 303-1.SL
- Changed the 302 yum-conf to 303

* Mon Aug 30 2004 Troy Dawson <dawson@fnal.gov> 302-3.SL
- Removed add-on's section from the cron.daily
- Changed DEFAULTSERVER from linux21.fnal.gov to ftp.scientificlinux.org
  in the cron.daily script
- Added a commented out pointer to our local copy of DAG's repository

* Wed Jun 09 2004 Troy Dawson <dawson@fnal.gov> - 302-2.SL
- Changed main distribution server to ftp.scientificlinux.org

* Fri May 14 2004 Troy Dawson <dawson@fnal.gov> - sl301-8
- Did a rewrite of yum.cron to allow for the distribution sites to be
  in easily modified files.
- Renamed some of the scripts in /etc/yum.d
- Fixed names in yum.conf 

* Sun Apr 18 2004 Connie Sieh <csieh@fnal.gov>
- Added tolerant=1 to yum.cron for updates so as to get as many updates as
- we can 

* Wed Mar 24 2004 Troy Dawson <dawson@fnal.gov>
- Changed the excludes file to use globs on kernel and openafs

* Thu Jan 15 2004 Troy Dawson <dawson@fnal.gov>
- Fixed a minor bug with the wget stuff

* Fri Dec 5 2003 Troy Dawson <dawson@fnal.gov>
- Changed ncftpls to wget when checking the servers

* Fri Aug 15 2003 Troy Dawson <dawson@fnal.gov>
- Updated from new yum 2.0.1, which made the following changes
- init.d script, copied straight from 2.0.1
- yum.conf (and template) added tolerant=1, exactarch=1

%changelog
* Mon Apr 7 2003 Troy Dawson <dawson@fnal.gov>
- Changed the default to 901 from 731

* Fri Apr 4 2003 Troy Dawson <dawson@fnal.gov>
- First Go at the 9.0.1 config files.

* Wed Mar 26 2003 Troy Dawson <dawson@fnal.gov>
- Split the yum-conf completely away from the yum rpm and made it release
dependant.
